@use '../../../queries' as queries;

:host {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.iframe-container {
  flex-grow: 1;
  min-height: 50vh;
}

#detail-content {
  flex-grow: 1;
  display: grid;
  grid-template-columns: 3fr 2fr;
  grid-template-rows: auto;

  background-color: #eee;

  padding: 0 2rem;
  grid-gap: 2rem;

  @include queries.less-than-large() {
    display: flex;
    flex-flow: column;
    padding: 0;
    grid-gap: 0;
  }
}

app-entity-detail,
app-compilation-detail {
  overflow-y: auto;
}
